Deployments.ai Docs
Security

Add a login domain and print the DNS TXT record that verifies it

POST /v1/login-domains · SDK addLoginDomain · CLI deployments login-domain add

POST
/v1/login-domains

Requires members:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
domain*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 253

Response Body

LoginDomainResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
dnsRecord*
domain*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
state*|
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X POST "https://example.com/v1/login-domains" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "dnsRecord": {    "name": "string",    "type": "TXT",    "value": "string"  },  "domain": "string",  "id": "string",  "state": {    "kind": "pending"  },  "updatedAt": "2019-08-24T14:15:22Z"}